From: tip-bot for Jason Baron <jbaron@redhat.com>
To: linux-tip-commits@vger.kernel.org
Cc: linux-kernel@vger.kernel.org, hpa@zytor.com, mingo@redhat.com,
jbaron@redhat.com, tglx@linutronix.de, randy.dunlap@oracle.com,
mingo@elte.hu
Subject: [tip:tracing/core] kerneldoc, tracing: make kernel-doc understand TRACE_EVENT() macro (take #2)
Date: Fri, 1 May 2009 13:28:20 GMT [thread overview]
Message-ID: <tip-56afb0f8823650f53a5f0e96d69a282e8892c61b@git.kernel.org> (raw)
In-Reply-To: <d80706b6797e277924d2f3ec9af176c6b2951f88.1241107197.git.jbaron@redhat.com>
Commit-ID: 56afb0f8823650f53a5f0e96d69a282e8892c61b
Gitweb: http://git.kernel.org/tip/56afb0f8823650f53a5f0e96d69a282e8892c61b
Author: Jason Baron <jbaron@redhat.com>
AuthorDate: Thu, 30 Apr 2009 13:29:36 -0400
Committer: Ingo Molnar <mingo@elte.hu>
CommitDate: Fri, 1 May 2009 14:03:35 +0200
kerneldoc, tracing: make kernel-doc understand TRACE_EVENT() macro (take #2)
Add support to kernel-doc for tracepoint comments above TRACE_EVENT()
macro definitions. Paves the way for tracepoint docbook.
[ Impact: extend DocBook infrastructure ]
Signed-off-by: Jason Baron <jbaron@redhat.com>
Acked-by: Randy Dunlap <randy.dunlap@oracle.com>
Cc: akpm@linux-foundation.org
Cc: rostedt@goodmis.org
Cc: fweisbec@gmail.com
Cc: mathieu.desnoyers@polymtl.ca
Cc: wcohen@redhat.com
LKML-Reference: <d80706b6797e277924d2f3ec9af176c6b2951f88.1241107197.git.jbaron@redhat.com>
Signed-off-by: Ingo Molnar <mingo@elte.hu>
---
scripts/kernel-doc | 22 ++++++++++++++++++++++
1 files changed, 22 insertions(+), 0 deletions(-)
diff --git a/scripts/kernel-doc b/scripts/kernel-doc
index 0f11870..2b53a55 100755
--- a/scripts/kernel-doc
+++ b/scripts/kernel-doc
@@ -1827,6 +1827,25 @@ sub reset_state {
$state = 0;
}
+sub tracepoint_munge($) {
+ my $file = shift;
+ my $tracepointname = 0;
+ my $tracepointargs = 0;
+
+ if($prototype =~ m/TRACE_EVENT\((.*?),/) {
+ $tracepointname = $1;
+ }
+ if($prototype =~ m/TP_PROTO\((.*?)\)/) {
+ $tracepointargs = $1;
+ }
+ if (($tracepointname eq 0) || ($tracepointargs eq 0)) {
+ print STDERR "Warning(${file}:$.): Unrecognized tracepoint format: \n".
+ "$prototype\n";
+ } else {
+ $prototype = "static inline void trace_$tracepointname($tracepointargs)";
+ }
+}
+
sub syscall_munge() {
my $void = 0;
@@ -1881,6 +1900,9 @@ sub process_state3_function($$) {
if ($prototype =~ /SYSCALL_DEFINE/) {
syscall_munge();
}
+ if ($prototype =~ /TRACE_EVENT/) {
+ tracepoint_munge($file);
+ }
dump_function($prototype, $file);
reset_state();
}
next prev parent reply other threads:[~2009-05-01 13:29 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2009-04-30 17:29 [PATCH 0/3] add tracepoints docbook " Jason Baron
2009-04-30 17:29 ` [PATCH 1/3] make kernel-doc understand TRACE_EVENT() macro " Jason Baron
2009-05-01 13:28 ` tip-bot for Jason Baron [this message]
2009-04-30 17:29 ` [PATCH 2/3] add new tracepoints docbook " Jason Baron
2009-05-01 13:28 ` [tip:tracing/core] tracing: add new tracepoints docbook tip-bot for Jason Baron
2009-04-30 17:29 ` [PATCH 3/3] add irq tracepoint documentation (take #2) Jason Baron
2009-05-01 13:28 ` [tip:tracing/core] tracing: add irq tracepoint documentation tip-bot for Jason Baron
2009-05-01 14:24 ` [PATCH 0/3] add tracepoints docbook (take #2) Jason Baron
2009-05-01 14:55 ` Ingo Molnar
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=tip-56afb0f8823650f53a5f0e96d69a282e8892c61b@git.kernel.org \
--to=jbaron@redhat.com \
--cc=hpa@zytor.com \
--cc=linux-kernel@vger.kernel.org \
--cc=linux-tip-commits@vger.kernel.org \
--cc=mingo@elte.hu \
--cc=mingo@redhat.com \
--cc=randy.dunlap@oracle.com \
--cc=tglx@linutronix.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®